Help

This help gives you a quick insight into the configuration parameters. For a detailed help please refer to the manual.
APPLICATION
Select the desired BCL application you want to run.
NETWORK SETTINGS
Use SonicIP
If set to "yes", the device will announce its IP address over the audio output.
Default: "yes"
IP Address
Enter the 4 values of the desired device IP address e.g.:
"0.0.0.0" for automatic discovery (DHCP/Bootp, IPzator, AutoIP)
"192.168.0.12" for an internal LAN
Default: "0.0.0.0"
Netmask
Enter the 4 values of the desired Static IP e.g.:
"0.0.0.0" for a default Netmask depending on the used IP Address.
"255.255.255.0" for a C class network
Default: "255.255.255.0"
Gateway IP Address
Enter the 4 values of the desired Gateway IP address e.g.:
"0.0.0.0" for no Gateway
"192.168.0.1" for a Gateway in a LAN
Note: The Gateway has to be set only when connecting to other devices over the WAN (through a router).
Default: "0.0.0.0"
Primary DNS
In this field you can give the Exstreamer the desired primary and alternativ DNS IP address to be able to connect to URLs (e.g. www.radio.com).
Example: "195.186.1.111"
Default: "0.0.0.0"
Alternative DNS
In this field you can give the Exstreamer the desired alternativ DNS IP address in case the primary DNS is not reachable.
Example: "195.186.4.111"
Default: "0.0.0.0"
Syslog Address
Destination address for syslog messages sent by the BCL program via the SYSLOG command. Set this to your syslog logging machine, if your syslog messages are recorded centrally.
If set to 0.0.0.0, syslog messages are broadcast.
Default: "0.0.0.0"
DHCP Host Name
Name of the device sent in DHCP request. If left empty, a name based on the device's MAC address is generated automatically. Enter up to 15 Characters.
Web server port
Defines the port where the webserver of the Barix Exstreamer can be reached. If set to "0" the default HTTP port (80) is used.
"); &LState(2,"%s",28,17,"-->"); Default Ethernet Port
On devices with dual-ethernet connection this parameter selects the default port to be used. In most cases selecting ETH1 is suitable, however some devices (e.g. the PS16) provide Power-over-Ethernet (PoE) functionality on ETH2.
If you change this parameter do not forget to connect the ethernet cable to the proper port on the rear of the device.
NOTE: on devices with a single ethernet port select always ETH1. Selecting ETH2 makes the device unaccessible!
Default: "ETH1"
System Name
SNMP MIB entry for system name(system.sysName.0)
System Location
SNMP MIB entry for system location(system.sysLocation.0)
System Contact
SNMP MIB entry for system contact(system.sysContact.0)
These parameter can be queried using any SNMP browser but can not be updated.
SERIAL 1
These settings adjust the first serial interface properties.
Use Serial For
If you want to attach the VSC panel, select VSC Panel. Select BCL Application otherwise.
Default: "BCL Application"
Baud rate
Select the serial transmission speed ("300" to "230400" Baud).
Default: "9600"
Data bits
Select "7" or "8" data bits.
Default: "8"
Parity
Select "no", "even" or "odd" parity.
Default: "no"
Stop bits
Select "1" or "2" stop bits.
Default: "1"
Handshake
Select the type of handshake:
RTS/CTS lines not used: "none"
RS232/RS422: "Software flow control(XON/XOFF)" or "Hardware flow control (RTS/CTS)"
RS485: "RS485 direction control"
Default: "none"
IR SOURCE
For reception of IR commands select between:

- "serial dongle" - external receiver (VSC or dongle from Barix) attached to the first serial port
- "built-in" - built-in IR receiver available on some devices such as the Exstreamer 110, 120 or 200

Default: "serial dongle"
IO SETTINGS
Front Panel LEDs
On devices supporting LEDs on the front panel (Exstreamer 1000, Annuncicom 1000) this parameter selects the source controlling the LEDs. On other devices this setting is ignored.
Possible options are:
Input State - the LEDs display the status of the digital inputs
Relay State - the LEDs display the status of the relays
BCL Control - the LEDs are mapped to the IO map as digital outputs and can be controlled by the BCL application
Default: "Input State"
SECURITY SETTINGS
Reset Function
Enable or disable the "Reset" function on the Reset button and on the WEB UI. In order to restart the device press the Reset button once.
Default: "enabled"
Factory Defaults
Enable or disable the "Factory Defaults" function on the Reset button. In order to revert all settings to factory defaults keep the Reset button pressed until the red LED starts blinking (approx. 10 seconds).
Default: "enabled"
Update Function
Enable or disable the WEB Update function of the device. If the Update function is disabled, the only way to update the firmware is to use the serial rescue.
Default: "enabled"
Set Password
This is visible as long as no password is set.
Enter a password (up to 25 characters) and hit the "Apply" button. After the restart you should close the browser window and open a new browser window. You will be asked to supply user name and password. The user name can be omitted but the password has to be supplied in order to see the web configuration.
Old Password / New Password
These fields are visible as long as a password is set.
To allow free access (clearing the password) enter the old password and leave the field "New Password" empty. Enter the old password in the password field above the "Apply" button as well and then hit the "Apply" button.
After the restart you will not be asked for user name and password anymore.
To change the password enter the old password and enter the new password in the field "New Password". Enter the old password in the password field above the "Apply" button as well and then hit the "Apply" button.
After the restart you will be asked for user name and password. The user name can be omitted but the new password has to be supplied in order to see the web configuration.